#!/usr/local/bin/python
# -*- coding: iso-8859-15 -*-
import os,sys, math
import fnmatch
import pyfits
import  numpy as np
from array import array

# Initialize arrays of filenames, and temperature values
f1=[]
countf=0
indexfin1=[]
fileout1=[]
n1=0
match1 = '*.fits'
print 'match=', match1
f1=[]
for file in os.listdir('.'):
    if fnmatch.fnmatch(file,match1):
        f1.append(file)
        countf += 1.0
   
# Column 1 is the INDEX 
# Column 2 is FILENAME
  
print('file to read =',f1) 
for file1 in f1:
   #extracts the Teff value and stores it in teff1   
   print file1[11:16]
   sp=file1.index('.')
   print 'index is =',sp
   teff1=str(int(file1[11:sp]))
   #Extracts the sign of the metallicity and stores it in sign variable
   if file1[7] == 'm' : 
      sign = '-'  
   else : 
      sign = '+'
   # Extracts the metallicity value and stores it in the variable metal
   metal= file1[8] + '.' + file1[9]
   # Define an output file with all these values
   file11= 'phoenixm00/' + file1 
   #fileout1.append ([file11+'[g00]',file11+'[g05]',file11+'[g10]',file11+'[g15]',file11+'[g20]',file11+'[g25]',file11+'[g30]',file11+'[g35]',file11+'[g40]',file11+'[g45]',file11+'[g50]',file11+'[g55]'])
   fileout1.extend([file11+'[g00]',file11+'[g05]',file11+'[g10]',file11+'[g15]',file11+'[g20]',file11+'[g25]',file11+'[g30]',file11+'[g35]',file11+'[g40]',file11+'[g45]',file11+'[g50]',file11+'[g55]'])
   #fileout1=[file11+'[g00]',file11+'[g05]',file11+'[g10]',file11+'[g15]',file11+'[g20]',file11+'[g25]',file11+'[g30]',file11+'[g35]',file11+'[g40]',file11+'[g45]',file11+'[g50]',file11+'[g55]']
   index0 = teff1 + ',' + sign + metal + ','
   #indexfin1.append([index0+'0.0',index0+'0.5',index0+'1.0',index0+'1.5',index0+'2.0',index0+'2.5',index0+'3.0',index0+'3.5',index0+'4.0',index0+'4.5',index0+'5.0',index0+'5.5'])
   indexfin1.extend([index0+'0.0',index0+'0.5',index0+'1.0',index0+'1.5',index0+'2.0',index0+'2.5',index0+'3.0',index0+'3.5',index0+'4.0',index0+'4.5',index0+'5.0',index0+'5.5'])
   #indexfin1 = [index0+'0.0',index0+'0.5',index0+'1.0',index0+'1.5',index0+'2.0',index0+'2.5',index0+'3.0',index0+'3.5',index0+'4.0',index0+'4.5',index0+'5.0',index0+'5.5']
   print 'HELO',indexfin1
   print fileout1

#indexfin=np.array(indexfin1,dtype='a20')          
#fileout=np.array(fileout1,dtype='a60')

fileout = fileout1
indexfin = indexfin1
hdu = pyfits.PrimaryHDU()
hdu.header.update("FILENAME", 'catalog.fits', "Name of file")
hdu.header.update("MAPKEY", "phoecat", "Maping identifiyer for type of file.")
hdu.header.update("CONTACT","R. Diaz","Who created the file")
hdu.header.update("CREATED","March 1, 2011","Date the file was created")
hdu.header.update("DESCRIPT","Catalog for Phoenix Models bu France Allard")
hdu.header.update("FILE_TYP","Atmosphere Grid Model","Type of file")
hdu.header.update("SYSTEMS","etc,cdbs,pysynphot","Systems that will use these files")
hdu.header.update("REASON","Delivered to support JWST","")
hdu.header.update("COMMENT","= 'Files translated to CDBS format by R. Diaz'")
   
  
 
col1=pyfits.Column(name='INDEX',format='20A',array=indexfin)
col2=pyfits.Column(name='FILENAME', format='60A', array=fileout)

cols=pyfits.ColDefs([col1, col2])

print 'len indexfin=',len(indexfin),' and len fileout=',len(fileout)
table_hdu=pyfits.new_table(cols, nrows=len(indexfin))
hdulist=pyfits.HDUList([hdu])
hdulist.append(table_hdu)
#hdulist.verify()
#hdulist.writeto('/grp/hst/cdbs/work/phoenix/test/phoenix_catalog.fits')
hdulist.writeto('./catalog.fits')
